ZenLib::ZtringListList class Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# ZenLib::ZtringListList Class Reference

Vector of vectors of strings manipulation (based on std::vector<std::vector<std::(w)string>>). More...

`#include <ZtringListList.h>`

Inheritance diagram for ZenLib::ZtringListList:

List of all members.

## Public Member Functions

| ZtringListList ()
| ZtringListList (const ZtringListList &Source)
| ZtringListList (const Ztring &Source)
| ZtringListList (const Char *Source)
bool | operator== (const ZtringListList &Source) const
bool | operator!= (const ZtringListList &Source) const
ZtringListList & | operator+= (const ZtringListList &Source)
ZtringListList & | operator= (const ZtringListList &Source)
ZtringList & | operator() (size_t Pos0)
| Same as [], but write a empty string if Pos doesn't exist yet.
Ztring & | operator() (size_t Pos0, size_t Pos1)
Ztring & | operator() (const Ztring &Pos0, size_t Pos1=1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].
Ztring & | operator() (const Ztring &Pos0, size_t Pos0_1, size_t Pos1)
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].
Ztring | Read () const
| Read all.
Ztring | Read (size_t Pos0) const
| Read a vector of string.
Ztring | Read (size_t Pos0, size_t Pos1) const
| Read a string.
Ztring | Read (const Ztring &Pos0, size_t Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].
Ztring | Read (const Ztring &Pos0, size_t Pos0_1, size_t Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].
Ztring | Read (const Ztring &Pos0, Ztring Default, size_t Pos1=1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0], with default value.
Ztring | Read (const Ztring &Pos0, Ztring Default, size_t Pos0_1, size_t Pos1) const
| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1], with default value.
Ztring | Read1 (size_t Pos1) const
| Read all strings at position Pos1.
void | Write (const Ztring &ToWrite)
| Write all.
void | Write (const ZtringList &ToWrite, size_t Pos0)
| Write a vector of string.
void | Write (const Ztring &ToWrite, size_t Pos0, size_t Pos1)
| Write a vector of string.
void | push_back (const ZtringList &ToAdd)
| Add a vector of string.
void | push_back (const Ztring &ToAdd)
| Add a vector of string (with separator is ZtringListList Separator).
void | push_back (const Char *ToAdd)
| Add a vector of string (Char version).
void | Insert (const ZtringList &ToInsert, size_t Pos0)
| Insert a vector of string at position Pos0.
void | Insert1 (const Ztring &ToInsert, size_t Pos1)
| Insert a string at all positions Pos1.
void | Delete (size_t Pos0)
| Delete a vector of string at position Pos0.
void | Delete (const Ztring &ToFind, size_t Pos1=0, const Ztring &Comparator=_T("=="), ztring_t Options=Ztring_Nothing)
| Delete all vectors of string, with [xxx][Pos1] == ToFind.
void | Delete1 (size_t Pos1)
| Delete a string at all positions Pos1.
void | Swap (size_t Pos0_A, size_t Pos0_B)
| Swap 2 positions.
void | Swap1 (size_t Pos1_A, size_t Pos1_B)
| Swap 2 columns for each line.
void | Sort (size_t Pos1, ztring_t Options=Ztring_Nothing)
| Sort.
size_t | Find (const Ztring &ToFind, size_t Pos1=0, size_t Pos0Begin=0, const Ztring &Comparator=_T("=="), ztring_t Options=Ztring_Nothing) const
| Find the first position of the string in the vector of vector, in a specific column.
Ztring | FindValue (const Ztring &ToFind, size_t Pos1Value=1, size_t Pos1=0, size_t Pos0Begin=0, const Ztring &Comparator=_T("=="), ztring_t Options=Ztring_Nothing) const
| Return [xxx][Pos1Value] when founded the first position of the string in the vector of vector, in a specific column.
ZtringListList | SubSheet (const Ztring &ToFind, size_t Pos1=0, size_t Pos0Begin=0, const Ztring &Comparator=_T("=="), ztring_t Options=Ztring_Nothing) const
| Return a subsheet, with all lines with position of the string in the vector of vector, in a specific column.
void | Separator_Set (size_t Level, const Ztring &NewSeparator)
| Set the Separator character.
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

## Protected Attributes

Ztring | Separator [2]
Ztring | Quote

## Detailed Description

Vector of vectors of strings manipulation (based on std::vector<std::vector<std::(w)string>>).

## Constructor & Destructor Documentation

ZenLib::ZtringListList::ZtringListList | ( |  | ) |

ZenLib::ZtringListList::ZtringListList | ( | const ZtringListList & | Source | ) |

ZenLib::ZtringListList::ZtringListList | ( | const Ztring & | Source | ) |

ZenLib::ZtringListList::ZtringListList | ( | const Char * | Source | ) |

## Member Function Documentation

void ZenLib::ZtringListList::Delete | ( | const Ztring & | ToFind,
|  | size_t | Pos1 = 0,
|  | const Ztring & | Comparator = _T("=="),
|  | ztring_t | Options = Ztring_Nothing
| ) |

| Delete all vectors of string, with [xxx][Pos1] == ToFind.

void ZenLib::ZtringListList::Delete | ( | size_t | Pos0 | ) | `[inline]`

| Delete a vector of string at position Pos0.

void ZenLib::ZtringListList::Delete1 | ( | size_t | Pos1 | ) |

| Delete a string at all positions Pos1.

size_t ZenLib::ZtringListList::Find | ( | const Ztring & | ToFind,
|  | size_t | Pos1 = 0,
|  | size_t | Pos0Begin = 0,
|  | const Ztring & | Comparator = _T("=="),
|  | ztring_t | Options = Ztring_Nothing
| ) | const

| Find the first position of the string in the vector of vector, in a specific column.

Ztring ZenLib::ZtringListList::FindValue | ( | const Ztring & | ToFind,
|  | size_t | Pos1Value = 1,
|  | size_t | Pos1 = 0,
|  | size_t | Pos0Begin = 0,
|  | const Ztring & | Comparator = _T("=="),
|  | ztring_t | Options = Ztring_Nothing
| ) | const

| Return [xxx][Pos1Value] when founded the first position of the string in the vector of vector, in a specific column.

void ZenLib::ZtringListList::Insert | ( | const ZtringList & | ToInsert,
|  | size_t | Pos0
| ) | `[inline]`

| Insert a vector of string at position Pos0.

void ZenLib::ZtringListList::Insert1 | ( | const Ztring & | ToInsert,
|  | size_t | Pos1
| ) |

| Insert a string at all positions Pos1.

bool ZenLib::ZtringListList::operator!= | ( | const ZtringListList & | Source | ) | const

Ztring& ZenLib::ZtringListList::operator() | ( | const Ztring & | Pos0,
|  | size_t | Pos0_1,
|  | size_t | Pos1
| ) |

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].

Ztring& ZenLib::ZtringListList::operator() | ( | const Ztring & | Pos0,
|  | size_t | Pos1 = 1
| ) | `[inline]`

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].

Ztring& ZenLib::ZtringListList::operator() | ( | size_t | Pos0,
|  | size_t | Pos1
| ) |

ZtringList& ZenLib::ZtringListList::operator() | ( | size_t | Pos0 | ) |

| Same as [], but write a empty string if Pos doesn't exist yet.

ZtringListList& ZenLib::ZtringListList::operator+= | ( | const ZtringListList & | Source | ) |

ZtringListList& ZenLib::ZtringListList::operator= | ( | const ZtringListList & | Source | ) |

bool ZenLib::ZtringListList::operator== | ( | const ZtringListList & | Source | ) | const

void ZenLib::ZtringListList::push_back | ( | const Char * | ToAdd | ) | `[inline]`

| Add a vector of string (Char version).

void ZenLib::ZtringListList::push_back | ( | const Ztring & | ToAdd | ) |

| Add a vector of string (with separator is ZtringListList Separator).

void ZenLib::ZtringListList::push_back | ( | const ZtringList & | ToAdd | ) |

| Add a vector of string.

void ZenLib::ZtringListList::Quote_Set | ( | const Ztring & | NewQuote | ) |

| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

Ztring ZenLib::ZtringListList::Read | ( | const Ztring & | Pos0,
|  | Ztring | Default,
|  | size_t | Pos0_1,
|  | size_t | Pos1
| ) | const

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1], with default value.

Ztring ZenLib::ZtringListList::Read | ( | const Ztring & | Pos0,
|  | Ztring | Default,
|  | size_t | Pos1 = 1
| ) | const`[inline]`

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0], with default value.

Ztring ZenLib::ZtringListList::Read | ( | const Ztring & | Pos0,
|  | size_t | Pos0_1,
|  | size_t | Pos1
| ) | const`[inline]`

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][Pos0_1].

Ztring ZenLib::ZtringListList::Read | ( | const Ztring & | Pos0,
|  | size_t | Pos1 = 1
| ) | const`[inline]`

| Return [Pos][Pos1], Pos=First occurency of Pos0 in [xxx][0].

Ztring ZenLib::ZtringListList::Read | ( | size_t | Pos0,
|  | size_t | Pos1
| ) | const

| Read a string.

Ztring ZenLib::ZtringListList::Read | ( | size_t | Pos0 | ) | const

| Read a vector of string.

Ztring ZenLib::ZtringListList::Read | ( |  | ) | const

| Read all.

Ztring ZenLib::ZtringListList::Read1 | ( | size_t | Pos1 | ) | const

| Read all strings at position Pos1.

void ZenLib::ZtringListList::Separator_Set | ( | size_t | Level,
|  | const Ztring & | NewSeparator
| ) |

| Set the Separator character.

void ZenLib::ZtringListList::Sort | ( | size_t | Pos1,
|  | ztring_t | Options = Ztring_Nothing
| ) |

| Sort.

ZtringListList ZenLib::ZtringListList::SubSheet | ( | const Ztring & | ToFind,
|  | size_t | Pos1 = 0,
|  | size_t | Pos0Begin = 0,
|  | const Ztring & | Comparator = _T("=="),
|  | ztring_t | Options = Ztring_Nothing
| ) | const

| Return a subsheet, with all lines with position of the string in the vector of vector, in a specific column.

void ZenLib::ZtringListList::Swap | ( | size_t | Pos0_A,
|  | size_t | Pos0_B
| ) |

| Swap 2 positions.

void ZenLib::ZtringListList::Swap1 | ( | size_t | Pos1_A,
|  | size_t | Pos1_B
| ) |

| Swap 2 columns for each line.

void ZenLib::ZtringListList::Write | ( | const Ztring & | ToWrite,
|  | size_t | Pos0,
|  | size_t | Pos1
| ) |

| Write a vector of string.

void ZenLib::ZtringListList::Write | ( | const ZtringList & | ToWrite,
|  | size_t | Pos0
| ) |

| Write a vector of string.

void ZenLib::ZtringListList::Write | ( | const Ztring & | ToWrite | ) |

| Write all.

## Member Data Documentation

Ztring ZenLib::ZtringListList::Quote`[protected]`

Ztring ZenLib::ZtringListList::Separator[2]`[protected]`

The documentation for this class was generated from the following file:

- ZtringListList.h